Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class JigsawRequestDispatcher

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.JigsawRequestDispatcher

All Implemented Interfaces:
  javax.servlet.RequestDispatcher

public class JigsawRequestDispatcher
extends java.lang.Object
implements javax.servlet.RequestDispatcher

Field Summary
`static java.lang.String` | `CONTEXT_PATH_P`
`static java.lang.String` | `PATH_INFO_P`
`static java.lang.String` | `QUERY_STRING_P`
`static java.lang.String` | `REQUEST_URI_P`
`static java.lang.String` | `SERVLET_PATH_P`

Constructor Summary
`protected` | `JigsawRequestDispatcher(java.lang.String urlpath, httpd server)`

Method Summary
`void` | `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`static javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String urlpath, httpd server, ResourceReference rr)` Get the appropriate dispatcher
`static javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String name, ResourceReference rr, httpd server)` Get the appropriate dispatcher
`void` | `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_URI_P

    public static final java.lang.String REQUEST_URI_P

See Also:
  Constant Field Values

### CONTEXT_PATH_P

    public static final java.lang.String CONTEXT_PATH_P

See Also:
  Constant Field Values

### SERVLET_PATH_P

    public static final java.lang.String SERVLET_PATH_P

See Also:
  Constant Field Values

### PATH_INFO_P

    public static final java.lang.String PATH_INFO_P

See Also:
  Constant Field Values

### QUERY_STRING_P

    public static final java.lang.String QUERY_STRING_P

See Also:
  Constant Field Values

Constructor Detail

### JigsawRequestDispatcher

    protected JigsawRequestDispatcher(java.lang.String urlpath,
                                      httpd server)

Method Detail

### forward

    public void forward(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `forward` in interface `javax.servlet.RequestDispatcher`
    `javax.servlet.ServletException`
    `java.io.IOException`

### include

    public void include(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `include` in interface `javax.servlet.RequestDispatcher`
    `javax.servlet.ServletException`
    `java.io.IOException`

### getRequestDispatcher

    public static javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String name,
                                                                       ResourceReference rr,
                                                                       httpd server)

  Get the appropriate dispatcher

  Parameters:
    `name` - The servlet name
    `rr` - the ServletContainer (ServletDirectoryFrame) reference
    `server` - the HTTP server
  Returns:
    the RequestDispatcher

### getRequestDispatcher

    public static javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String urlpath,
                                                                       httpd server,
                                                                       ResourceReference rr)

  Get the appropriate dispatcher

  Parameters:
    `urlpath` - the servlet URI
    `server` - the HTTP server
    `rr` - the ServletContainer reference or a servlet reference (Just used for Virtual Host)
  Returns:
    the RequestDispatcher

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD